uses
  dstream,
  dstreamfile,
  dtokenizer;
var
  Stream: TStreamStdin;
  Tokenizer: TTokenizer;
  //F: file of Byte;
  //S: String;
begin
  //Assign(F, '');
  //Reset(F, 1);
  //Writeln(S);
  Stream.Init;
  Tokenizer.Init(AsData(@Stream, False));
  Tokenizer.Dump;
  while Tokenizer.Next do
    Tokenizer.Dump;
  Tokenizer.Dump;
  Tokenizer.Done;
  Stream.Done;
end.
